Package org.pushingpixels.substance.internal.utils

# Class ButtonVisualStateTracker

java.lang.Object
org.pushingpixels.substance.internal.utils.ButtonVisualStateTracker

public class ButtonVisualStateTracker extends Object
Utility class to track transitions in visual state of buttons.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StateTransitionTracker`
`stateTransitionTracker`
`protected PropertyChangeListener`
`substancePropertyListener`
Property change listener.

## Constructor Summary

Constructors
Constructor
Description
`ButtonVisualStateTracker()`

## Method Summary

Modifier and Type
Method
Description
`StateTransitionTracker`
`getStateTransitionTracker()`
`void`
`installListeners(AbstractButton b, boolean toInstallRolloverListener)`
Installs tracking listeners on the specified button.
`void`
`uninstallListeners(AbstractButton b)`
Uninstalls the tracking listeners from the specified button.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyListener

protected PropertyChangeListener substancePropertyListener
Property change listener. Listens on changes to the `SubstanceLookAndFeel.BUTTON_SHAPER_PROPERTY` property and `AbstractButton.MODEL_CHANGED_PROPERTY` property.

### stateTransitionTracker

protected StateTransitionTracker stateTransitionTracker

## Constructor Details

### ButtonVisualStateTracker

public ButtonVisualStateTracker()

## Method Details

### installListeners

public void installListeners(AbstractButton b, boolean toInstallRolloverListener)
Installs tracking listeners on the specified button.

Parameters:
  `b` - Button.
  `toInstallRolloverListener` - If `true`, the button will have the rollover listener installed on it.

### uninstallListeners

public void uninstallListeners(AbstractButton b)
Uninstalls the tracking listeners from the specified button.

Parameters:
  `b` - Button.

### getStateTransitionTracker

public StateTransitionTracker getStateTransitionTracker()